L_Y_L_0_7_2_5
L_Y_L_0_7_2_5
2014-12-25 14:31
采纳率: 0%
浏览 18.6k

安装eclipse,jdk安装好了,环境变量也配置好了,但是eclipse还是打不开

jdk安装好了,eclipse还是打不开,显示这个事什么意思?
failes to load the jni shared library"D:\java\jdk1.7.0_15\bin..\jre\bin\server\jvm.dll".

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 邀请回答

7条回答 默认 最新

  • vispin
    踩姑凉的小蘑菇 2014-12-25 14:34

    JDk软件没装好。要么就是你系统有权限设置,Eclipse没有调用权限

    点赞 评论
  • jixiaochuan
    jalcon_bj 2014-12-25 14:51
    点赞 评论
  • lzp_lrp
    WorldMobile 2014-12-25 14:52

    一般说来,新购笔记本会预装64位的windows系统,而在网上下载软件时,32位会优先出现在页面中(现在来说是这个情况,但我认为未来64位会越来越普及)。

    如果你是64位的系统,却安装了32位的JDK,就会导致上面的情况。

    解决办法如下:

    卸载掉原来安装的32位的JDK,然后安装64位的JDK到电脑中。
    重新修改path 和 classpath 两个环境变量。因为在64系统当中,32位软件回安装到program files (*86)文件夹,64位软件会安装到program files 文件夹,当你先前安装32JDK时,你设置的环境变量路径当中当然会包括“program files (*86)”,而这时JDK已经转移到“program files”中了,修改过来即可。
    注意你两次安装的JDK版本号,不一定相同,因为安装时会根据你的版本号建立JDK文件夹,如果两次的版本号不同,在环境变量里也要修改。
    现在,Eclipse应该可以正常使用了,快去练习Java程序吧!

    点赞 评论
  • lzp_lrp
    WorldMobile 2014-12-25 14:52

    应该是64位和32位的问题,安装一下和你操作系统匹配的jdk吧

    点赞 评论
  • dollyn
    霜之哀伤 2014-12-26 01:17

    一般来说,是JDK和Eclipse一个32位一个64位造成的, 换用匹配的版本即可。 命令行输入java -version可以查看JDK的版本

    点赞 评论
  • ZR__MaNong
    拥抱开源 2014-12-26 01:17

    可能的问题太多了
    首先检验你的java环境变量 然后是jdk 再次是权限
    然后看看一些jar包有没有导入

    点赞 评论
  • qq_24827083
    qq_24827083 2014-12-26 01:50

    是不是应该把你的jre包的路径换个位置呢

    点赞 评论

相关推荐